• There is NO official Otland's Discord server and NO official Otland's server list. The Otland's Staff does not manage any Discord server or server list. Moderators or administrator of any Discord server or server lists have NO connection to the Otland's Staff. Do not get scammed!

TFS 1.X+ learning creature stats

Arkemis

Well-Known Member
Joined
Sep 4, 2021
Messages
90
Reaction score
68
Location
United States
Using GitHub - nekiro/TFS-1.4-Downgrades at 8.60 (https://github.com/nekiro/TFS-1.4-Downgrades/tree/8.60)
cip Client 8.6

I've learned that this distribution doesn't have a complete creature pack for 8.6, but what creature scripts it does have was enough to help me understand what needed to be done in order to fix everything.

So I need to add all the 8.6 creature scripts and add them to monsters.xml. I searched the forum and found some packs, but I'm having trouble determining which one i should use. I dont want to just leech and request a pack, (I definitely wouldn't refuse anything), but rather i want to ask how I figure out all the stats and necessary info to make the creature scripts accurately?
 
OP
OP
Arkemis

Arkemis

Well-Known Member
Joined
Sep 4, 2021
Messages
90
Reaction score
68
Location
United States
here but you will have to figure out how to find out 8.6 and bellow only:
Hmm, doesn't appear to be a way to filter that list. But I can get a list of 8.6 creatures and go from there. Taking the attack info and accurately interpreting that into scripts seems daunting, but i'll just pick an available pack and go from there using that page as reference. Thank you!

Blessed be the rain that brings moisture to your melons!
 

ralke

(҂ ͠❛ ෴ ͡❛)ᕤ
Joined
Dec 17, 2011
Messages
978
Solutions
24
Reaction score
503
Location
Santiago - Chile
For get a better monster pack. what I recommend is to do a direct downgrade from TFS main repository. The benefit of that is that your going to use have higher version features on your 8.6 distribution that are already included in sources, such as skill reductions.

Include the monster spells from the main repository too

Then list the monsters and spells that you're going to use from those folders (the ones that belong to native 8.6) and register them in monsters.xml and spells.xml. You will also have to remove some added loots that doesn't belong to the version but at the end the loots will be more accurate.

This will make monsters a bit more challengin and fun
Regards!
 
OP
OP
Arkemis

Arkemis

Well-Known Member
Joined
Sep 4, 2021
Messages
90
Reaction score
68
Location
United States
here you can download old nekiro downgrade that had monster files: https://github.com/otland/forgottenserver/archive/21135946f93402b5114359a1f0eb322fcd9f5b8c.zip

ignore all the rest
I was just going to ask (since all the links i found were dead) if i could get away with downloading another one, even a later one, and just strip out the 8.6 creatures. Your grain will grow tall good fellow!
Post automatically merged:

For get a better monster pack. what I recommend is to do a direct downgrade from TFS main repository. The benefit of that is that your going to use have higher version features on your 8.6 distribution that are already included in sources, such as skill reductions.

Include the monster spells from the main repository too

Then list the monsters and spells that you're going to use from those folders (the ones that belong to native 8.6) and register them in monsters.xml and spells.xml. You will also have to remove some added loots that doesn't belong to the version but at the end the loots will be more accurate.

This will make monsters a bit more challengin and fun
Regards!
Can you elaborate on what steps are involved in the "downgrade" procedure. I assume it means I strip out the content that isn't native to 8.6? I'm still fairly green, so I cant be certain of my assumptions or exactly what needs to be stripped, if that is the case. Either way, the goats milk will flow forever in your larder. Thank you!
 
Last edited:

ralke

(҂ ͠❛ ෴ ͡❛)ᕤ
Joined
Dec 17, 2011
Messages
978
Solutions
24
Reaction score
503
Location
Santiago - Chile
Sure! Here is a sample with a Warlock

Normally, a 8.6 datapack will have something like this on its attacks
XML:
<attacks>
        <attack name="melee" interval="2000" skill="42" attack="50"/>
        <attack name="physical" interval="1000" chance="35" range="7" min="-85" max="-185">
            <attribute key="shootEffect" value="energy"/>
        </attack>
        <attack name="manadrain" interval="1000" chance="17" range="7" min="-75" max="-160"/>
        <attack name="speed" interval="1000" chance="12" range="7" speedchange="-600" duration="40000">
            <attribute key="areaEffect" value="redshimmer"/>
        </attack>
        <attack name="fire" interval="2000" chance="45" range="7" radius="3" target="1" min="-150" max="-220">
            <attribute key="shootEffect" value="burstarrow"/>
            <attribute key="areaEffect" value="firearea"/>
        </attack>
        <attack name="firefield" interval="1000" chance="20" range="7" radius="2" target="1">
            <attribute key="shootEffect" value="fire"/>
        </attack>
        <attack name="energy" interval="2000" chance="25" length="8" spread="0" min="-165" max="-245">
            <attribute key="areaEffect" value="energy"/>
        </attack>
        <attack name="speed" interval="6000" chance="10" range="5" speedchange="-600" duration="20000">
            <attribute key="areaEffect" value="redshimmer"/>
        </attack>
    </attacks>

But warlocks have been updated and now got this too in main branch
XML:
        <attack name="warlock skill reducer" range="5" interval="2000" chance="5" />

You can see here more spell samples that has been added later in time

The first step to do the downgrade, is to migrate main branch monster pack in a clean 8.6 downgrade, and start registering the monsters slowly to see which errors you start encountering on the console.

Some stuff that you will find:
  • Taking Carniphila as example, it has this as loot that belong to higher versions
XML:
    <item name="carrot on a stick" chance="150" />
The console will tell you to remove this invalid id, just do it and clean the errors to strip out the content that is not compatible with 8.6

  • You will see some flags that are not included in the downgrade, for example, boss flag (see Deadeye Devious)
XML:
<flag isboss="1" />

Can't remember what else you should see but generally the console will tell you what to do. The important is to don't do the main branch import at once, add 10-20 monsters, open the server, see the errors, and so on. Regards!
 
OP
OP
Arkemis

Arkemis

Well-Known Member
Joined
Sep 4, 2021
Messages
90
Reaction score
68
Location
United States
Sure! Here is a sample with a Warlock

Normally, a 8.6 datapack will have something like this on its attacks
XML:
<attacks>
        <attack name="melee" interval="2000" skill="42" attack="50"/>
        <attack name="physical" interval="1000" chance="35" range="7" min="-85" max="-185">
            <attribute key="shootEffect" value="energy"/>
        </attack>
        <attack name="manadrain" interval="1000" chance="17" range="7" min="-75" max="-160"/>
        <attack name="speed" interval="1000" chance="12" range="7" speedchange="-600" duration="40000">
            <attribute key="areaEffect" value="redshimmer"/>
        </attack>
        <attack name="fire" interval="2000" chance="45" range="7" radius="3" target="1" min="-150" max="-220">
            <attribute key="shootEffect" value="burstarrow"/>
            <attribute key="areaEffect" value="firearea"/>
        </attack>
        <attack name="firefield" interval="1000" chance="20" range="7" radius="2" target="1">
            <attribute key="shootEffect" value="fire"/>
        </attack>
        <attack name="energy" interval="2000" chance="25" length="8" spread="0" min="-165" max="-245">
            <attribute key="areaEffect" value="energy"/>
        </attack>
        <attack name="speed" interval="6000" chance="10" range="5" speedchange="-600" duration="20000">
            <attribute key="areaEffect" value="redshimmer"/>
        </attack>
    </attacks>

But warlocks have been updated and now got this too in main branch
XML:
        <attack name="warlock skill reducer" range="5" interval="2000" chance="5" />

You can see here more spell samples that has been added later in time

The first step to do the downgrade, is to migrate main branch monster pack in a clean 8.6 downgrade, and start registering the monsters slowly to see which errors you start encountering on the console.

Some stuff that you will find:
  • Taking Carniphila as example, it has this as loot that belong to higher versions
XML:
    <item name="carrot on a stick" chance="150" />
The console will tell you to remove this invalid id, just do it and clean the errors to strip out the content that is not compatible with 8.6

  • You will see some flags that are not included in the downgrade, for example, boss flag (see Deadeye Devious)
XML:
<flag isboss="1" />

Can't remember what else you should see but generally the console will tell you what to do. The important is to don't do the main branch import at once, add 10-20 monsters, open the server, see the errors, and so on. Regards!
You good sir are mightier than the shepherds son!
 
Top